// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
// 全局挂载引入发布-订阅模式
import PubSub from 'pubsub-js'
import router from './router'
import App from './App'
import {useEchartView, useEchart} from '../../index.js'
import useEchartDemo from '../../components/ts-vue-echarts-demo/src/index.js'
Vue.prototype.$PubSub = PubSub
// console.log(test, 'test')
// console.log('useEchartDemo', useEchartDemo)
// console.log('useEchartView', useEchartView, useEchart, components)
Vue.use(useEchartDemo)
Vue.use(useEchartView)
Vue.use(useEchart)
/* eslint-disable no-new */
let vue = new Vue({
  el: '#app',
  router,
  components: { App },
  template: '<App/>',
  render: h => h(App)
})
export default vue
